mscorlib 4.0.0.0 System.Enum To be added.

Represents the current stage in the lifecycle of a .

- Field
  4.0.0.0
  System.Threading.Tasks.TaskStatus

  The task acknowledged cancellation by throwing an OperationCanceledException with its own CancellationToken while the token was in signaled state, or the task's CancellationToken was already signaled before the task started executing. For more information, see Task Cancellation.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskStatus

  The task has been initialized but has not yet been scheduled.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskStatus

  The task completed due to an unhandled exception.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskStatus

  The task completed execution successfully.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskStatus

  The task is running but has not yet completed.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskStatus

  The task is waiting to be activated and scheduled internally by the .NET Framework infrastructure.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskStatus

  The task has finished executing and is implicitly waiting for attached child tasks to complete.

- Field
  4.0.0.0
  System.Threading.Tasks.TaskStatus

  The task has been scheduled for execution but has not yet begun executing.